declare const DefaultTheme: ThemeProperties;
export default DefaultTheme;
export interface ThemeProperties extends SideMenuProperties, PostProperties, TagsProperties, LayoutProperties, MenuItemsProperties, NotificationProperties, CommentProperties {
    POPOVER_DEFAULT_BACKGROUND: string;
    BORDER_RADIUS_REGULAR: string;
    BORDER_RADIUS_LARGE: string;
    DROPDOWN_BACKGROUND_COLOR_LIGHT: string;
    DROPDOWN_BACKGROUND_COLOR_DARK: string;
    DROPDOWN_HOVER_BACKGROUND_COLOR: string;
    BUTTON_ACCENT_COLOR_LIGHT: string;
    BUTTON_ACCENT_COLOR_DARK: string;
    BUTTON_BACKGROUND_COLOR_LIGHT: string;
    BUTTON_BACKGROUND_COLOR_DARK: string;
}
export interface MenuItemsProperties {
    MENU_ITEM_ICON_BACKGROUND_COLOR: string;
    MENU_ITEM_ICON_COLOR: string;
    MENU_ITEM_ICON_HIGHLIGHT_COLOR: string;
}
export interface LayoutProperties {
    LAYOUT_BOARD_BACKGROUND_COLOR: string;
    LAYOUT_HEADER_BACKGROUND_COLOR: string;
    LAYOUT_BOARD_SIDEBAR_BACKGROUND_COLOR: string;
    HEADER_HEIGHT_PX: number;
    MODAL_BACKGROUND_COLOR: string;
    DEFAULT_ACCENT_COLOR: string;
}
export interface TagsProperties {
    INDEX_TAG_COLOR: string;
    CATEGORY_FILTER_COLOR: string;
    CONTENT_NOTICE_COLOR: string;
}
export interface CommentProperties {
    COMMENT_BACKGROUND_COLOR: string;
    COMMENT_BORDER_COLOR: string;
    COMMENT_TEXT_COLOR: string;
    INDENT_COLORS: string[];
}
export interface PostProperties {
    POST_HEADER_DATE_COLOR: string;
    POST_HEADER_USERNAME_COLOR: string;
    POST_BACKGROUND_COLOR: string;
    POST_TEXT_COLOR: string;
    POST_WIDTH_PX: string;
    INDENT_COLORS: string[];
    OP_BADGE_COLOR: string;
}
export interface SideMenuProperties {
    SIDEBAR_WIDTH_PX: string;
    MOBILE_WIDTH_TRIGGER_PX: string;
    SIDE_MENU_MAX_WIDTH_PX: string;
    PINNED_BAR_WIDTH_PX: string;
    PINNED_BAR_BACKGROUND: string;
    PINNED_BAR_TEXT_COLOR: string;
    BOARD_MENU_ITEM_BACKGROUND: string;
    BOARD_MENU_BACKGROUND: string;
    BOARD_FILTER_BACKGROUND: string;
    BOARD_FILTER_TEXT_COLOR: string;
}
export interface NotificationProperties {
    NOTIFICATIONS_OUTDATED_COLOR: string;
    NOTIFICATIONS_NEW_COLOR: string;
}
